Skip to content
EN

通用2.0Pro-图生图

方法: POST路径: /volcv/v1

https://www.volcengine.com/docs/6791/1279296详情请看官方对接文档

请求参数

Query 参数

text
Action
string
必需
示例:
CVProcess
Version
string
必需
示例:
2022-08-31

Header 参数

text
Authorization
string
可选
默认值:
Bearer {{YOUR_API_KEY}}

Body 参数 application/json

text
object
示例
{
"req_key"
:
"high_aes_scheduler_svr_controlnet_v2.0"
,
// "binary_data_base64": [],
"image_urls"
:
[
"https://xxx"
]
,
"prompt"
:
"一只狗"
,
"model_version"
:
"general_controlnet_v2.0"
,
"seed"
:
-1
,
"scale"
:
3
,
"ddim_steps"
:
16
,
"use_rephraser"
:
true
,
"controlnet_args"
:
[
{
"type"
:
"depth"
,
"binary_data_index"
:
0
,
"strength"
:
0.6
}
]
,
"return_url"
:
true
,
"logo_info"
:
{
"add_logo"
:
false
,
"position"
:
0
,
"language"
:
0
,
"logo_text_content"
:
"这里是明水印内容"
}
}

请求示例代码

Shell

bash
curl --location --request POST '/volcv/v1?Action=CVProcess&Version=2022-08-31' \
--header 'Authorization: Bearer {{YOUR_API_KEY}}' \
--header 'Content-Type: application/json' \
--data-raw '{
    "req_key": "high_aes_scheduler_svr_controlnet_v2.0",
    // "binary_data_base64": [],
    "image_urls": [
        "https://xxx"
    ],
    "prompt": "一只狗",
    "model_version": "general_controlnet_v2.0",
    "seed": -1,
    "scale": 3,
    "ddim_steps": 16,
    "use_rephraser": true,
    "controlnet_args": [
        {
            "type": "depth",
            "binary_data_index": 0,
            "strength": 0.6
        }
    ],
    "return_url": true,
    "logo_info": {
        "add_logo": false,
        "position": 0,
        "language": 0,
        "logo_text_content": "这里是明水印内容"
    }
}'

返回响应

🟢 200 成功

内容类型: application/json

响应结构

text
object

示例

json
{
    "code": 10000,
    "data": {
        "algorithm_base_resp": {
            "status_code": 0,
            "status_message": "Success"
        },
        "binary_data_base64": [],
        "image_urls": [
            "https://xxxx"
        ],
        "predict_tags_result": "",
        "rephraser_result": "一只毛色鲜艳的狗,它有着饱满的毛发和锐利的眼神,看起来非常健康活泼。",
        "request_id": "0444b94371cef27e5e193dde55372f37745d887dee580898367a717d0f92f83c"
    },
    "message": "Success",
    "request_id": "202501132006376AA642D2FBD42465DF60",
    "status": 10000,
    "time_elapsed": "5.861744206s"
}